package com.yunzhi.liyuanhui.common;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class DateUtils {
    public static SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

    /**
     * 转为当天起始时间
     * @param str 格式为 YYYY-MM-DD
     * @return
     * @throws ParseException
     */
    public static Date dayBegin(String str) throws ParseException {
        if (null == str) {
            return null;
        }

        return sdf.parse(str + "00:00:00");
    }

    public static Date dayEnd(String str) throws ParseException {
        if (null == str) {
            return null;
        }

        return sdf.parse(str + "23:59:59");
    }
}
