package com.yunzhi.liyuanhui.controller;

import com.yunzhi.liyuanhui.common.BaseController;
import com.yunzhi.liyuanhui.common.OssUtils;
import com.yunzhi.liyuanhui.common.ResponseBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;

@RestController
public class CommController extends BaseController {

    @Autowired
    OssUtils ossUtils;

    @PostMapping("/admin/upload")
    public ResponseBean upload(@RequestParam("file") MultipartFile multipartFile) throws Exception {
        String upFile = ossUtils.putObject(multipartFile);
        return ResponseBean.success(new HashMap<String, String>(){{
            put("url", upFile);
        }});
    }
}
