package com.yunzhi.liyuanhui.service;

import com.yunzhi.liyuanhui.entity.TaActivityVoteItem;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 投票项目  服务类
 * </p>
 *
 * @author yansen
 * @since 2020-08-11
 */
public interface ITaActivityVoteItemService extends IService<TaActivityVoteItem> {

    List<TaActivityVoteItem> mergeBy(Integer activityId, List<TaActivityVoteItem> voteItems) throws Exception;

    List<TaActivityVoteItem> getAllAvailableItems(Integer activityId) throws Exception;

    List<Map<String, Object>> getVoteRank(Integer activityId) throws Exception;
}
