package com.yunzhi.liyuanhui.service;

import com.yunzhi.liyuanhui.entity.TaPerson;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户 服务类
 * </p>
 *
 * @author yansen
 * @since 2020-08-08
 */
public interface ITaPersonService extends IService<TaPerson> {

    /**
     * 获取客户信息, 没有则新建一个
     * @param openid
     * @return
     * @throws Exception
     */
    TaPerson getOrSavePerson(String openid) throws Exception;

    /**
     * 更新用户手机号
     * @param personId
     * @param phone
     * @return
     * @throws Exception
     */
    TaPerson updatePersonPhone(Integer personId, String phone) throws Exception;
}
