package com.yunzhi.liyuanhui.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.liyuanhui.entity.TaRecommender;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 * 推荐表 服务类
 * </p>
 *
 * @author yansen
 * @since 2020-08-08
 */
public interface ITaRecommenderService extends IService<TaRecommender> {

    /**
     * 获取推荐客户列表
     * @param pg
     * @param start 推荐起始时间
     * @param end 推荐结束时间
     * @param recName 推荐人
     * @param recPhone 推荐人手机
     * @param name 被推荐人
     * @param phone 被推荐人手机
     * @return
     * @throws Exception
     */
    IPage<Map<String, Object>> getListBy(IPage<Map<String, Object>> pg, String start, String end, String recName, String recPhone, String name, String phone) throws Exception;
}
