package com.yunzhi.liyuanhui.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.liyuanhui.common.BaseController;
import com.yunzhi.liyuanhui.common.ResponseBean;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.yunzhi.liyuanhui.service.ISysUserService;
import com.yunzhi.liyuanhui.entity.SysUser;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
    * 系统用户 前端控制器
    * </p>
 *
 * @author yansen
 * @since 2020-08-08
 */
@RestController
@RequestMapping("/")
public class SysUserController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(SysUserController.class);

    @Autowired
    public ISysUserService iSysUserService;


    @GetMapping("/admin/user/info")
    public ResponseBean current(HttpServletRequest request) {
        SysUser user = getUser(request);
        if (null == user) {
            return ResponseBean.error("获取当前用户失败", ResponseBean.ERROR_AUTH_FAIL);
        }

        user.setPassword(null);
        return ResponseBean.success(user);
    }
}
