package com.yunzhi.liyuanhui.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 模块
 * </p>
 *
 * @author yansen
 * @since 2020-08-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysModule implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 模块编码
     */
    @TableId(value = "module_code", type = IdType.INPUT)
    private String moduleCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 图标
     */
    private String icon;

    /**
     * 状态
     */
    private Integer status;


}
