package com.yunzhi.liyuanhui.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 活动报名
 * </p>
 *
 * @author yansen
 * @since 2020-08-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaActivityEnroll implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 活动ID
     */
    private Integer activityId;

    /**
     * 活动名称
     */
    private String activityName;

    /**
     * 活动封面
     */
    private String activityThumb;

    /**
     * 活动类型ID
     */
    private Integer activityTypeId;

    /**
     * 活动类型名称
     */
    private String activityTypeName;

    /**
     * 操作人
     */
    private Integer personId;

    /**
     * 操作人名称
     */
    private String personName;

    /**
     * 操作人手机号
     */
    private String personPhone;

    /**
     * 报名人
     */
    private String enrollName;

    /**
     * 报名手机号
     */
    private String enrollPhone;

    /**
     * 报名手机号
     */
    private Integer enrollNum;

    /**
     * 报名时间
     */
    private LocalDateTime createDate;


}
