package com.yunzhi.liyuanhui.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 活动投票
 * </p>
 *
 * @author yansen
 * @since 2020-08-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaActivityVote implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 活动ID
     */
    private Integer activityId;

    /**
     * 活动名称
     */
    private String activityName;

    /**
     * 活动封面
     */
    private String activityThumb;

    /**
     * 项目ID
     */
    private Integer itemId;

    /**
     * 项目名称
     */
    private String itemName;

    /**
     * 投票人
     */
    private Integer personId;

    /**
     * 名称
     */
    private String personName;

    /**
     * 昵称
     */
    private String personNickname;

    /**
     * 头像
     */
    private String personAvatar;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 投票时间
     */
    private LocalDateTime createDate;


}
