package com.yunzhi.liyuanhui.entity;

import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 照片墙分类 生成照片墙的时候自动写入
 * </p>
 *
 * @author yansen
 * @since 2020-08-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdGalleryType implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 分类ID
     */
    private String typeId;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;


}
