package com.yunzhi.liyuanhui.mapper;

import com.yunzhi.liyuanhui.entity.TaActivityVoteItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 投票项目  Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2020-08-11
 */
@Mapper
public interface TaActivityVoteItemMapper extends BaseMapper<TaActivityVoteItem> {

    List<Integer> selectIdsByActivity(Integer activityId);

    List<Map<String, Object>> getVoteRank(Integer activityId);
}
