package com.yunzhi.liyuanhui.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.liyuanhui.entity.SysUser;
import com.yunzhi.liyuanhui.mapper.SysUserMapper;
import com.yunzhi.liyuanhui.service.ISysUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 系统用户 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-08-08
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements ISysUserService {

    @Override
    public SysUser getLoginUser(String userName) {
        return getOne(new QueryWrapper<SysUser>(new SysUser().setLoginName(userName)));
    }

    @Override
    public boolean checkStatus(SysUser sysUser) {
        return Integer.valueOf(1).equals(sysUser.getStatus());
    }
}
