package com.yunzhi.liyuanhui.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.liyuanhui.entity.TaRecommender;
import com.yunzhi.liyuanhui.mapper.TaRecommenderMapper;
import com.yunzhi.liyuanhui.service.ITaRecommenderService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 推荐表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-08-08
 */
@Service
public class TaRecommenderServiceImpl extends ServiceImpl<TaRecommenderMapper, TaRecommender> implements ITaRecommenderService {
    @Autowired
    TaRecommenderMapper taRecommenderMapper;

    @Override
    public IPage<Map<String, Object>> getListBy(IPage<Map<String, Object>> pg, String start, String end, String recName, String recPhone, String name, String phone) throws Exception {
        return taRecommenderMapper.getListBy(pg, start, end, recName, recPhone, name, phone);
    }
}
